from django.contrib.auth import get_user_model
from django.core.management.base import BaseCommand
from django.db import DEFAULT_DB_ALIAS

class Command(BaseCommand):
    def add_arguments(self, parser):
        parser.add_argument('--username', help='Specifies the login for the superuser.')
        parser.add_argument('--email', help='Specifies the email for the superuser.')
        parser.add_argument('--password', help='Specifies the password for the superuser.')

    def handle(self, *args, **options):
        user_data = {
            'username': options['username'],
            'email': options['email'],
            'password': options['password']
        }
        get_user_model()._default_manager.db_manager(DEFAULT_DB_ALIAS).create_superuser(**user_data)
